Update a risk profile
curl --request PUT \
--url https://api.example.com/api/v4/kyt/risk-profiles/{id} \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"name": "Standard",
"thresholds": [
{
"amount": 100,
"assets": 0.01,
"currency": "usd",
"is_active_for_monitoring": true,
"type": "SANCTIONS"
}
]
}
'import requests
url = "https://api.example.com/api/v4/kyt/risk-profiles/{id}"
payload = {
"name": "Standard",
"thresholds": [
{
"amount": 100,
"assets": 0.01,
"currency": "usd",
"is_active_for_monitoring": True,
"type": "SANCTIONS"
}
]
}
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Standard',
thresholds: [
{
amount: 100,
assets: 0.01,
currency: 'usd',
is_active_for_monitoring: true,
type: 'SANCTIONS'
}
]
})
};
fetch('https://api.example.com/api/v4/kyt/risk-profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "b2c3d4e5-f6a7-4901-8cde-f12345678901",
"name": "Standard",
"thresholds": [
{
"amount": 100,
"assets": 0.01,
"currency": "usd",
"is_active_for_monitoring": true,
"type": "SANCTIONS"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
],
"message": "<string>"
}{
"message": "<string>"
}Risk Profiles
Update a risk profile
Updates the name and alert thresholds of an existing risk profile. All entity type thresholds must be provided.
PUT
/
api
/
v4
/
kyt
/
risk-profiles
/
{id}
Update a risk profile
Authorizations
API token passed in the request header.
Path Parameters
Risk profile identifier.
Body
application/jsonapplication/xml
Request body for kyt.UpdateRiskProfileRequest
⌘I